Page MenuHomePhabricator

NWE: Links to missing pages should be red in preview (and self-links should be bold)
Closed, ResolvedPublic1 Story Points

Description

Links to missing pages should be shown with the normal red color in preview, currently they are blue like all other links.

Reports:

Related Objects

StatusAssignedTask
OpenNone
OpenNone
OpenNone
OpenNone
OpenNone
OpenNone
ResolvedEsanders
OpenNone
OpenNone
ResolvedJules78120
OpenNone
ResolvedDannyH
OpenNone
OpenEsanders
OpenNone
OpenEsanders
OpenNone
ResolvedJdforrester-WMF

Event Timeline

Schnark created this task.Dec 17 2016, 10:07 AM
Restricted Application added a project: VisualEditor. · View Herald TranscriptDec 17 2016, 10:07 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Nnvu added a subscriber: Nnvu.Dec 18 2016, 12:17 PM
Alsee added a subscriber: Alsee.Dec 31 2016, 9:39 PM

Not just redlinks. External links need to show as external links, and a page that links to itself needs to be a black (non-)link. Same as the normal wikitext editor preview.

PDF links were also missing the PDF icon in NWE, although I'm not certain whether that case counts as the "same issue" or a "different issue".

Vort added a subscriber: Vort.Jan 11 2017, 11:13 AM

Not just redlinks. External links need to show as external links, and a page that links to itself needs to be a black (non-)link. Same as the normal wikitext editor preview.

PDF links were also missing the PDF icon in NWE, although I'm not certain whether that case counts as the "same issue" or a "different issue".

External link icons are a separate problem, T153413.

This needs either T39902 or T154844 to be fixed.

Jdforrester-WMF triaged this task as Normal priority.
Jdforrester-WMF set the point value for this task to 1.
Jdforrester-WMF added a subscriber: Jdforrester-WMF.

This needs either T39902 or T154844 to be fixed.

Not really, we can just use the same code we use in VE's CE surface. It'd be nice if we did T39902: RFC: Implement rendering of redlinks in Parsoid HTML as post-processor eventually, though.

Jdforrester-WMF renamed this task from NWE: Links to missing pages should be red in preview to NWE: Links to missing pages should be red in preview (and self-links should be bold).Feb 27 2017, 4:50 PM
Jdforrester-WMF updated the task description. (Show Details)

Change 345607 had a related patch set uploaded (by Jforrester):
[mediawiki/extensions/VisualEditor@master] MWSaveDialog: Run links through a render function

https://gerrit.wikimedia.org/r/345607

Change 345607 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] MWSaveDialog: Run links through a render function for preview & visual diff

https://gerrit.wikimedia.org/r/345607

Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptApr 1 2017, 3:26 PM
Daylen added a subscriber: Daylen.May 20 2017, 5:21 PM

It would also be nice if disambiguation page links showed up as orange in the preview. This way if you are (for example) editing the real-time ridesharing article on the English Wikipedia, if you add [[Uber]] you will now that you have to add [[Uber (company)|Uber]] instead.

TheDJ added a subscriber: TheDJ.May 21 2017, 9:09 AM

@Daylen that sounds like a feature request and not related to this ticket. Please file separate tickets for separate issues.